<!DOCTYPE html>
<html lang="ja">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>index</title>
    <link href="common.css" rel="stylesheet">
</head>

<body>

    <!-- Header Start -->
    <header class="site-header">
        <div class="wrapper site-header__wrapper">
            <a href="#" class="brand">シフト管理ツール</a>
            <nav class="nav">
                <button class="nav__toggle" aria-expanded="false" type="button">
                    menu
                </button>
                <ul class="nav__wrapper">
                    <li class="nav__item"><a href="#">シフト一覧</a></li>
                    <li class="nav__item"><a href="#">シフト希望登録</a></li>
                    <li class="nav__item"><a href="#">カリキュラム</a></li>
                    <li class="nav__item"><a href="#">必要講師数登録</a></li>
                    <li class="nav__item"><a href="#">シフト確定登録</a></li>
                    <li class="nav__item"><a href="#">勤務者一覧</a></li>
                    <li class="nav__item"><a href="#">ログアウト</a></li>
                </ul>
            </nav>
        </div>
    </header>
    <!-- Header End -->

   <div class="table-responsive">
      <table class="table table-striped">
         <thead>
            <tr>
               <th>ログインID</th>
               <th>講師名</th>
               <th>生年月日</th>
               <th></th>
            </tr>
         </thead>
         <tbody>
            <c:forEach var="user" items="${userList}">
               <tr>
                  <td>ID</td>
                  <td>Aさん</td>
                  <td>
                     <fmt:formatDate value="${user.birthDate}" pattern="YYYY年MM月dd日" />
                  </td>
                  <!-- TODO 未実装；ログインボタンの表示制御を行う -->

                  <td>
                     <form>

                        <a class="btn btn-primary" href="Details?id=${user.id}">詳細</a>
                        <c:if test="${userInfo.loginId==user.loginId || userInfo.loginId=='admin'}">

                           <a class="btn btn-success" href="Update?id=${user.id}">更新</a>
                        </c:if>

                        <c:if test="${userInfo.loginId=='admin'}">

                           <a class="btn btn-danger" href="Delete?id=${user.id}">削除</a>
                        </c:if>

                     </form>
                  </td>
               </tr>
            </c:forEach>
         </tbody>
      </table>
   </div>
   </div>
   </div>
</body>

</html>

</body>

</html>